Itanium compiler on unsupported linux distros

Itanium compiler on unsupported linux distros

Hi,
Below is a method you can use to get ecc to compile code on distributions which come with glib versions which are more recent the intel supported one (eg redhat 8.0 or debian). I've testing this method on a ia64 box running debian testing (glibc 2.3.1-14).

1] Download glibc-2.2.4, build and install somewhere other than in the default location.
(eg /usr/local/glibc-2.2.4) Overwriting your existing glibc with a more recent version will break your machine horribly.

2] Tell the compiler where to find the glibc-2.2.4 include files using the -I flag (eg -I/usr/local/glibc-2.2.4/include) and you should be able to compile sucessfully.

Cheers,

Guy

1 post / 0 new
For more complete information about compiler optimizations, see our Optimization Notice.